Network Tools - Bug #1714

Traceroute doesn't work on Windows
02/02/2017 04:54 AM - Luke Murphey

Status: Closed Start date: 02/01/2017

Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 0.6

Description

Related issues:

Related to Network Tools - Bug #2208: Ping indicates host is live when it is ... Closed 02/14/2018

Associated revisions

Revision 78 - 02/11/2017 08:20 PM - Imurphey

Having the traceroute command run the Windows version of the command

Reference #1714

Revision 91 - 02/24/2017 03:44 AM - lukemurphey

Making traceroute work on Windows

Replacing the tracerouteparser module that didn't support Windows and didn't fully parse OSX traces

Reference #1714

Revision 92 - 02/24/2017 05:17 AM - lukemurphey

Adding comments to tests

Reference #1714

Revision 93 - 02/24/2017 05:45 AM - lukemurphey

Fixing parsing of strange OSX traceroutes

Reference #1714

Revision 98 - 02/24/2017 07:38 PM - lukemurphey

Enhancing support for Windows traceroutes

Reference #1714

Revision 99 - 02/24/2017 08:53 PM - lukemurphey

Making traceroute parses work with trailing spaces

05/04/2024
Reference #1714

History

#1 - 02/02/2017 04:54 AM - Luke Murphey

Here is the output:

[OrderedDict ([ ('hop', 1), ('rtt', ['14.0', '14.0', '28.0']), ('ip', [1), ('name', [1)1),
OrderedDict ([ ('hop', 2), ('rtt', [1), ('ip', []), ('name', [1)1),

OrderedDict ([ ("hop', 3), ('rtt', ['35.0', '33.0', '34.0']), ('ip', [1), ('mame', [])]),
OrderedDict ([ ('"hop', 4), ('rtt', ['37.0', '35.0', '35.0'1), ('ip', [1), ('name', [1)]),
OrderedDict ([ ('hop', 5), ('rtt', ['528.0', '35.0', '43.0']), ('ip', [1), ('name', [1)1),
OrderedDict ([ ("hop', 6), ('rtt', ['36.0', '34.0', '35.0']), ('ip', [1), ('mame', [])]),
OrderedDict ([ ('"hop', 7), ('rtt', [1), ('ip', [1), ('name', [1)1),

OrderedDict ([ ('"hop', 8), ('rtt', ['35.0', '44.0', '54.0'1), ('ip', [1), ('mame', [1)]1),
OrderedDict ([ ("hop', 9), ('rtt', ['38.0', '22.0', '25.0']), ('ip', [1), ('mame', [])])]

#2 - 02/11/2017 07:04 AM - Luke Murphey

Here is Windows output:

Tracing route to att.com [144.160.155.43]
over a maximum of 30 hops:

1 18 ms <l ms <l ms 10.0.0.1

2 14 ms 14 ms 14 ms 192.168.1.254

3 w3 w3 w3 Request timed out.

4 34 ms 34 ms 47 ms 71.145.65.194

5 * * 44 ms 71.145.64.128

6 40 ms 36 ms 38 ms 12.83.43.45

7 107 ms 84 ms 83 ms gar2.placa.ip.att.net [12.122.110.5]
8 86 ms 86 ms 86 ms 12.91.205.18

9 87 ms 73 ms 73 ms att.com [144.160.155.43]

Trace complete.

#3 - 02/17/2017 06:17 AM - Luke Murphey

- Target version changed from 0.5 to 0.6

#4 - 02/24/2017 09:23 AM - Luke Murphey

- Status changed from New to Closed

05/04/2024 2/3



- % Done changed from 0 to 100

#5 - 02/24/2017 09:27 AM - Luke Murphey

- Status changed from Closed to In Progress

#6 - 02/24/2017 09:30 AM - Luke Murphey
- % Done changed from 100 to 90

#7 - 02/24/2017 07:37 PM - Luke Murphey

Need to parse output like this:

Tracing route to att.com

1 <1
2 15
3 *
4 34
5 43
6 88
7 125
8

ms
ms

ms
ms
ms
ms

att.com

<1
14

*
33
58
66
42

[144.160.36.42]

Trace complete.

ms
ms

ms
ms
ms

[144.160.36.42]
over a maximum of 30 hops:

<1
14

*
33
92
90
41

ms
ms

ms
ms
ms
ms

10.0.0.1

192.168.1.254

Request timed out.

71.145.65.194

12.83.43.49

ggrl.chail.ip.att.net [12.122.132.181]
12.249.81.194

reports: Destination protocol unreachable.

#8 - 02/24/2017 09:31 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#9 - 02/14/2018 08:07 PM - Luke Murphey
- Related to Bug #2208: Ping indicates host is live when it is not (Windows) added
